👉 Hvordan lage gamle WordPress-temaer som er kompatible med nye versjoner - IsItWP

Har WordPress Admin Bar behov for en mer Dropdown?

>

Så du vil lage dine gamle WordPress-temaer kompatible med nyere versjoner av WordPress. Med WordPress 3.0 rett rundt hjørnet, er temakompatibilitet noe på mange menneskers sinn. Det er ganske enkelt: gjør absolutt ingenting.

Jeg har gjort WordPress-temaer siden rundt WordPress 2.3 ble utgitt, og gjett hva? Disse temaene jobber fortsatt i dag og det er ingenting jeg trenge å gjøre for å få dem til å jobbe med nyere versjoner av WordPress.

  • Vil de ha threaded kommentare funksjonalitet (ca 2,7)? Nei, de har sannsynligvis fortsatt "single level" kommentarer skjønt.
  • Vil det bruke post_thumbnails å håndtere innlegg miniatyrbilder (ca. 2,9)? Nei, men ikke alle temaene gjør bruk av innleggsminiatyr uansett.
  • Vil de ha den nye navigasjonsmenyer, egendefinert header og bakgrunnsbilder introdusert i kommende WordPress 3.0? Nei, og husk at ikke hvert tema vil ha behov for tilpasset bakgrunns- eller headerbilder.

De fleste av disse funksjonene vil jeg vurdere valgfritt. Med kanskje unntaket av gjengede kommentarer eller det nye menysystemet, vil mange temaer ikke engang trenge eller være utformet rundt ting som egendefinerte innleggsminiatyrer eller headerbilder.

Så vær så snill, slutte å bekymre deg om temaet ditt kommer til å bryte når du oppgraderer WordPress. Ingen forseelse til mine plugin-utvikler-venner, men 99% av tiden WordPress bryter med en kjerneoppgradering, det er en plugin-feil (og det har trolig fått det på grunn av mistenkelige plugin-kodingspraksis).

Hvis et tema har en tilpasset funksjon som er i konflikt med en ny WordPress-funksjon, kan det samme også skje med temaer, så det er mulig. Dette er trolig den eneste "bug" jeg noensinne har hørt om, skje med en ny kjerneoppgradering (og ikke alle temaene brukte get_categories-funksjonen).

For å være ærlig, Jeg har aldri sett et tema helt pause, og jeg vil nok aldri. Jeg ville være interessert i å høre tankene dine i kommentarene, hva synes du om å gjøre temaer "kompatible" med nye versjoner? Har du noen gang sett et tema pause på grunn av en ny WordPress-versjon?

Hvis du vil at WordPress-temaet ditt skal utnytte de nye funksjonene som vil være tilgjengelige når WordPress 3.0 er utgitt, har denne artikkelen noen god info om å integrere egendefinerte bakgrunner, overskrifter, menyer, blant annet.

Se videoen: Uke 9

Like this post? Please share to your friends:
Legg att eit svar

;-) :| :x :twisted: :smile: :shock: :sad: :roll: :razz: :oops: :o :mrgreen: :lol: :idea: :grin: :evil: :cry: :cool: :arrow: :???: :?: :!: